#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "mytablemodel.h"


MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow) {
    ui->setupUi(this);

    myTableModel = new MyTableModel();
    myTableModel->init();

    ui->MyTableViewName->setModel(myTableModel);
    ui->MyTableViewName->setItemDelegate(new QSqlRelationalDelegate(ui->MyTableViewName));
    ui->MyTableViewName->setWindowTitle("MyTableView");
}

MainWindow::~MainWindow() {
    delete ui;
}

