#include "mytablemodel.h"


MyTableModel::MyTableModel(QObject *parent) : QSqlRelationalTableModel(parent) {

}

void MyTableModel::init() {
        setTable("employee");

        setEditStrategy(QSqlTableModel::OnRowChange);
        setRelation(2, QSqlRelation("city", "id", "name"));
        setRelation(3, QSqlRelation("country", "id", "name"));

        setHeaderData(0, Qt::Horizontal, QObject::tr("ID"));
        setHeaderData(1, Qt::Horizontal, QObject::tr("Name"));
        setHeaderData(2, Qt::Horizontal, QObject::tr("City"));
        setHeaderData(3, Qt::Horizontal, QObject::tr("Country"));

        select();
}
